Bug 855443 - New Provider Acct displaying HTML tags in username/password field labels "translation missing: en.provider accounts"
New Provider Acct displaying HTML tags in username/password field labels "tra...
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Matt Wagner
Depends On:
  Show dependency treegraph
Reported: 2012-09-07 14:39 EDT by Aaron Weitekamp
Modified: 2012-09-25 06:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-17 15:55:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ui_screencap (134.19 KB, image/png)
2012-09-10 13:19 EDT, Aaron Weitekamp
no flags Details

  None (edit)
Description Aaron Weitekamp 2012-09-07 14:39:23 EDT
Description of problem:
New Provider Account username/password field labels displaying HTML tags and "translation missing: en.provider accounts"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Nav to Cloud Providers
2. Select Provider
3. Select Accounts
4. Select "New Account"
5. observe username/password field labels

Actual results:
Actual field labels displayed:

"<span class="translation missing" title="translation missing: en.provider accounts.credentials.labels.username">username</span>"
"<span class="translation missing" title="translation missing: en.provider accounts.credentials.labels.password">password</span>"

Expected results:

Additional info:
Comment 2 Aaron Weitekamp 2012-09-10 13:15:41 EDT
install repo: baseurl=http://download.lab.bos.redhat.com/rel-eng/repos/cf-1.1-rhel-6-candidate/x86_64/
Comment 3 Matt Wagner 2012-09-10 13:19:09 EDT
This appears to work properly from source (1.1 and master). I'm going to test this against staging RPMs and see if I can reproduce it there to verify that this has been fixed, versus being a packaging problem or something along those lines.
Comment 4 Aaron Weitekamp 2012-09-10 13:19:54 EDT
Created attachment 611510 [details]
Comment 5 Matt Wagner 2012-09-10 17:30:07 EDT
By the time I got this working from RPMs on RHEL, the repo had been bumped from 0.13.2 to 0.13.3. I was unable to reproduce the issue there.

Testing this properly is blocked by https://bugzilla.redhat.com/show_bug.cgi?id=855986 however.
Comment 6 Dave Johnson 2012-09-11 11:19:12 EDT
Moving to on_qa for retesting
Comment 7 Angus Thomas 2012-09-25 06:49:04 EDT
This appears to be resolved in aeolus-conductor-0.13.6-1.el6cf

Note You need to log in before you can comment on or make changes to this bug.